Data ConnectionsList data connections

List data connections

List all data connections for the resolved location. Readable with an agency key (ak_, requires ?location_id=) or a viewer key (sk_).

curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/data-connections?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "location_id": "acme-retail",
      "name": "Mythic Analytics (Tinybird)",
      "engine": "tinybird",
      "config": {
        "datasource": "pubsub_events_analytics_mv"
      },
      "is_default": true,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/data-connections
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key (Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).

Builder key as a bearer token. Use an agency key (Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key (Bearer ak_...) or a viewer key (Bearer sk_...). Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

dataarray